GELF_UPDATE_SYMINFO(3)

NAME
gelf_update_syminfo - Update additional symbol information in the symbol table at the given index

SYNOPSIS
#include <gelf.h>
int gelf_update_syminfo (Elf_Data *data, int ndx, GElf_Syminfo *src);

DESCRIPTION
Copy a class-independent additional symbol information entry from src into the SHT_SUNW_syminfo section associated with data at entry index ndx. data should be associated with an ELF section with type SHT_SUNW_syminfo and data type ELF_T_SYMINFO. These types are Sun/Solaris extensions and are not typically used in GNU/Linux ELF files.

PARAMETERS

data
    Pointer to an Elf_Data associated with an ELF section with type for a section with type SHT_SUNW_syminfo and data type ELF_T_SYMINFO.

ndx Zero-based index of the entry in data to be updated.

src Pointer to a caller-provided additional symbol information entry. Must not be NULL.

RETURN VALUE
On success, this function returns a non-zero value and updates data with src at index ndx. The section associated with data is flagged with ELF_F_DIRTY. On failure, zero is returned and elf_errno is set. If data is NULL, then zero is returned without setting elf_errno.

SEE ALSO
gelf_getsym(3), gelf_getsyminfo(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.